## cmmldec cmmldec — Decodes CMML streams |

## Properties

gboolean | wait-clip-end-time | Read / Write

## Types and Values

struct | GstCmmlDec

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstCmmlDec

## Description

## Synopsis

### Element Information

plugin | annodex
author | Alessandro Decina <alessandro@nnva.org>
class | Codec/Decoder

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-cmml, encoded=(boolean)true

name | src
direction | source
presence | always
details | text/x-cmml, encoded=(boolean)false

## Functions

## Types and Values

### struct GstCmmlDec

    struct GstCmmlDec;

## Property Details

### The `“wait-clip-end-time”` property

      “wait-clip-end-time”       gboolean

Send a tag for a clip when the clip ends, setting its end-time. Use when you need to know both clip's start-time and end-time.

Flags: Read / Write

Default value: FALSE